<?php

/** 
*
* install script to set up permission options in the db for foo mod
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/

// initialize the page
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// This code from the phpBB.com wiki
// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup();
$user->add_lang('install');

if ($user->data['user_type'] != USER_FOUNDER)
{
	trigger_error('NOT_AUTHORISED');
}

// Setup $auth_admin class so we can add tabulated survey permission options
include($phpbb_root_path . 'includes/acp/auth.' . $phpEx);
$auth_admin = new auth_admin();

// Add foo permissions as local permissions
// (you could instead make them global permissions by making the obvious changes below)
$auth_admin->acl_add_option(array(
    'local'        => array('f_bump_anytime'),
    'global'    => array()
));
// end code from the wiki

$message = "New bump anytime permission installed. <br />";
$message .= "Please remove /install_ba.php<br /><br />";
$message .= "Les permissions du MODs bump_anytime ont été installées. <br />";
$message .= "Merci de supprimer le fichier /install_ba.php<br /><br />";
trigger_error($message);

?>